Usando Kate na interface gráfica Gnome

Publicado por André Barcelos Silva em 30/08/2008

[ Hits: 12.367 ]

Blog: http://andrebsilva.poptall.com

 


Usando Kate na interface gráfica Gnome



Nas minhas aulas de Programação Orientada a Objeto, minha turma encontrou dificuldade pois o professor não aceita usar nenhuma ferramenta IDE (NetBeans ou Eclipse) para escrever o código. O pior é que a turma gosta muito da interface KDE e usa, preferencialmente, o editor KATE para escrever código.

Até aqui tudo bem, o problema é que nas máquinas do laboratório foi instalado o Fedora Core 9 que, por padrão, vem com a interface gráfica Gnome e o melhor editor para se escrever é o GEDIT que é, de certa forma, fraquinho perante o KATE.

A instalação de uma segunda interface gráfica - KDE - é totalmente proibido pela administração do laboratório de informática. Resolvemos então instalar o KATE no Gnome.

Para os que gostam bastante do Gnome e querem abrir mão dele, fica aí a dica...

No Fedora funciona assim:

# yum install kdebase
# yum install kdesdk


Mas com certeza os mesmos comandos, adaptados, poderão funcionar em muitas outras distribuições com o Gnome. E fica aí a dica de instalação, KDEBASE e KDESDK.

O bom é que junto com o KATE vem mais ferramentas, como o Konqueror por exemplo, além de facilitar a instalação de outras ferramentas do KDE no Gnome.

Um abraço, espero que possa ser útil...

Outras dicas deste autor

Desabilitando dispositivos de armazenamento removíveis via USB no Debian Squeeze Testing

Java no Ubuntu - Instalando Tomcat (parte 2)

A maneira mais simples de instalar o K3B no Ubuntu

EOS Linux (The Enhanced Operating System)

Java no Ubuntu - Parâmetros iniciais do Tomcat (parte 3)

Leitura recomendada

CVS, por que utilizar?

Netbeans no KDE

Lenda urbana, simpatia com HD

Mozilla 1.4 Relese Candidate 1

Instalação do Sublime no Fedora 31

  

Comentários
[1] Comentário enviado por hellnux em 31/08/2008 - 21:52h

Opa!!

Bela Dica...
Tentei aqui no meu Ubuntu 8, só que retornou o seguinte

---------
Os pacotes a seguir têm dependências desencontradas:
kdesdk: Depende: kspy (>= 4:3.5.9-0ubuntu1) mas não vai ser instalado
E: Pacotes quebrados
---------

Deu certo o seguinte comando:
# sudo apt-get install kate

Eu havia testado o kde4 alguns dias atrás, mas já o que me chamou a atenção é que eu já tinha desinstalados todos pacotes referente ao kde... e a instalação foi bem rápida e funcional!!! Também gosto do kate... vou usar ele em vez do NetBeans, ele come muita memória. xD

[]'s

[2] Comentário enviado por andrebsilva em 02/09/2008 - 09:15h

E acrescentando mais esse pacote o seu "KDE no Gnome" ficará em português

# yum install kde-l10n-Brazil

[3] Comentário enviado por frednanet em 17/09/2008 - 10:50h

ótimo, pra mim resolveu tudo...
obrigado!!!!!

#Ubuntu 8.04
#Kernel 2.6.24..19
#Gnome 2.22.3



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts